ComboBoxListViewSkin (JavaFX 17)

Module javafx.controls
Package javafx.scene.control.skin

## Class ComboBoxListViewSkin<T>

- java.lang.Object
- - javafx.scene.control.SkinBase<ComboBoxBase<T>>
  - - javafx.scene.control.skin.ComboBoxBaseSkin<T>
    - - javafx.scene.control.skin.ComboBoxPopupControl<T>
      - - javafx.scene.control.skin.ComboBoxListViewSkin<T>

- All Implemented Interfaces:
    `Skin<ComboBoxBase<T>>`

      public class ComboBoxListViewSkin<T>
      extends ComboBoxPopupControl<T>

  Default skin implementation for the `ComboBox` control.
  Since:
    9
  See Also:
    `ComboBox`

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `BooleanProperty` | `hideOnClick` | By default this skin hides the popup whenever the ListView is clicked in.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComboBoxListViewSkin​(ComboBox<T> control)` | Creates a new ComboBoxListViewSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BooleanProperty` | `hideOnClickProperty()` | By default this skin hides the popup whenever the ListView is clicked in.
    `boolean` | `isHideOnClick()` | Gets the value of the property hideOnClick.
    `void` | `setHideOnClick​(boolean value)` | Sets the value of the property hideOnClick.

    - ### Methods declared in class javafx.scene.control.skin.ComboBoxPopupControl

      `getConverter, getEditor, getPopupContent`

    - ### Methods declared in class javafx.scene.control.skin.ComboBoxBaseSkin

      `getDisplayNode, hide, show`

    - ### Methods declared in class javafx.scene.control.SkinBase

      `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javafx.scene.control.Skin

      `dispose, getNode, getSkinnable`

- - ### Property Detail

    - #### hideOnClick

          public final BooleanProperty hideOnClickProperty

      By default this skin hides the popup whenever the ListView is clicked in. By setting hideOnClick to false, the popup will not be hidden when the ListView is clicked in. This is beneficial in some scenarios (for example, when the ListView cells have checkboxes).
      See Also:
        `isHideOnClick()`, `setHideOnClick(boolean)`

  - ### Constructor Detail

    - #### ComboBoxListViewSkin

          public ComboBoxListViewSkin​(ComboBox<T> control)

      Creates a new ComboBoxListViewSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
      Parameters:
        `control` - The control that this skin should be installed onto.

  - ### Method Detail

    - #### hideOnClickProperty

          public final BooleanProperty hideOnClickProperty()

      By default this skin hides the popup whenever the ListView is clicked in. By setting hideOnClick to false, the popup will not be hidden when the ListView is clicked in. This is beneficial in some scenarios (for example, when the ListView cells have checkboxes).
      See Also:
        `isHideOnClick()`, `setHideOnClick(boolean)`

    - #### isHideOnClick

          public final boolean isHideOnClick()

      Gets the value of the property hideOnClick.
      Property description:
        By default this skin hides the popup whenever the ListView is clicked in. By setting hideOnClick to false, the popup will not be hidden when the ListView is clicked in. This is beneficial in some scenarios (for example, when the ListView cells have checkboxes).

    - #### setHideOnClick

          public final void setHideOnClick​(boolean value)

      Sets the value of the property hideOnClick.
      Property description:
        By default this skin hides the popup whenever the ListView is clicked in. By setting hideOnClick to false, the popup will not be hidden when the ListView is clicked in. This is beneficial in some scenarios (for example, when the ListView cells have checkboxes).